List GSP certs
Description
Get a list of all gsp certs which the basestation knows. Each certificate is associated with a domain. The domain tells what devices a certificate matches. The certificate is choosen on a best match basis. Just like domain configurations.This function is only available to administrators.
Request
GET /v1/gsp-certs/
Response
Successful response contains the following JSON formated body:
{
domain: string,
gspCert: string,
tags: {
[key: string]: string
},
created: string
}[]
Response Status codes:
200 on success
403 if not administrator
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>
Example
Request
curl "https://api.cloud.nabto.com/v1/gsp-certs/" \
-H "Authorization: Bearer <ApiKey>"
Response
[{
"domain": "mydomain.example.net",
"gspCert": "<gspCert>",
"tags": {
"foo": "bar"
},
"created": "2022-10-18T10:17:24.299Z"
},
...]